Set user preferences
curl --request POST \
--url https://api.partoo.co/v2/user/{user_id}/preferences \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"reports": {
"review_management_daily": true,
"review_management_weekly": true,
"review_management_monthly": true,
"daily_review_preferences": {
"partners": [
"facebook",
"google_my_business",
"tripadvisor"
],
"review_type": 2
}
},
"receive_negative_reviews_email_notifications": true
}
'import requests
url = "https://api.partoo.co/v2/user/{user_id}/preferences"
payload = {
"reports": {
"review_management_daily": True,
"review_management_weekly": True,
"review_management_monthly": True,
"daily_review_preferences": {
"partners": ["facebook", "google_my_business", "tripadvisor"],
"review_type": 2
}
},
"receive_negative_reviews_email_notifications": True
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reports: {
review_management_daily: true,
review_management_weekly: true,
review_management_monthly: true,
daily_review_preferences: {partners: ['facebook', 'google_my_business', 'tripadvisor'], review_type: 2}
},
receive_negative_reviews_email_notifications: true
})
};
fetch('https://api.partoo.co/v2/user/{user_id}/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5309c3a237bbc544d8e26737",
"status": "success"
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Users
Set user preferences
This endpoint lets you update all the information about a user’s preferences on notifications. You need to have WRITE access to this user.
POST
/
user
/
{user_id}
/
preferences
Set user preferences
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
User id
Body
application/json
Was this page helpful?
⌘I